minetest.register_alias("mapgen_stone", "amogus_blocks:stone")
minetest.register_alias("mapgen_dirt", "amogus_blocks:dirt")
minetest.register_alias("mapgen_dirt_with_grass", "amogus_blocks:grass")
minetest.register_alias("mapgen_water_source", "amogus_blocks:water")

minetest.register_biome({
    name = "amogus_biome",
    --node_dust = "amogus_blocks:stone",
    node_top = "amogus_blocks:grass",
    depth_top = 1,
    node_filler = "amogus_blocks:dirt",
    depth_filler = 1,
    node_stone = "amogus_blocks:stone",
    node_water_top = "amogus_blocks:water",
    depth_water_top = 1,
    node_water = "amogus_blocks:water",
    node_river_water = "amogus_blocks:water",
    y_max = 31000,
    y_min = 1,
    heat_point = 50,
    humidity_point = 50,
})

minetest.register_ore({
    ore_type       = "scatter",
    ore            = "amogus_blocks:sussium_ore",
    wherein        = "amogus_blocks:stone",
    clust_scarcity = 8 * 8 * 8,
    clust_num_ores = 1,
    clust_size     = 1,
    y_max          = 31000,
    y_min          = -31000,
})minetest.register_ore({
    ore_type       = "scatter",
    ore            = "amogus_blocks:gold_ore",
    wherein        = "amogus_blocks:stone",
    clust_scarcity = 8 * 8 * 8,
    clust_num_ores = 1,
    clust_size     = 1,
    y_max          = 31000,
    y_min          = -31000,
})

minetest.register_decoration({
    deco_type = "simple",
    place_on = {"amogus_blocks:grass"},
    sidelen = 16,
    noise_params = {
        offset = 0,
        scale = 0.0001,
        spread = {x = 100, y = 100, z = 100},
        seed = 1234,
        octaves = 3,
        persist = 0.6
    },
    biomes = {"amogus_biome"},
    y_max = 31000,
    y_min = 1,
    decoration = "amogus_blocks:lucky_block",
})
minetest.register_decoration({
    deco_type = "simple",
    place_on = {"amogus_blocks:grass"},
    sidelen = 16,
    noise_params = {
        offset = 0,
        scale = 0.0001,
        spread = {x = 100, y = 100, z = 100},
        seed = 4321,
        octaves = 3,
        persist = 0.6
    },
    biomes = {"amogus_biome"},
    y_max = 31000,
    y_min = 1,
    decoration = "amogus_blocks:tv",
})


--- generate trees

minetest.register_decoration({
    deco_type = "schematic",
    place_on = {"amogus_blocks:grass"},
    sidelen = 16,
    fill_ratio = 0.01,
    biomes = {"amogus_biome"},
    y_max = 31000,
    y_min = 1,
    schematic = "/schematics/tree.mts",
    flags = "place_center_x, place_center_z",
    rotation = "random",
})
minetest.register_decoration({
    deco_type = "schematic",
    place_on = {"amogus_blocks:grass"},
    sidelen = 16,
    fill_ratio = 0.01,
    biomes = {"amogus_biome"},
    y_max = 31000,
    y_min = 1,
    schematic = "/schematics/fallen.mts",
    flags = "place_center_x, place_center_z",
    rotation = "random",
})
minetest.register_decoration({
    deco_type = "schematic",
    place_on = {"amogus_blocks:grass"},
    sidelen = 16,
    fill_ratio = 0.01,
    biomes = {"amogus_biome"},
    y_max = 31000,
    y_min = 1,
    schematic = "/schematics/treer.mts",
    flags = "place_center_x, place_center_z",
    rotation = "random",
})minetest.register_decoration({
    deco_type = "schematic",
    place_on = {"amogus_blocks:comp"},
    sidelen = 16,
    fill_ratio = 0.01,
    biomes = {"amogus_biome"},
    y_max = 31000,
    y_min = 1,
    schematic = "/schematics/treer.mts",
    flags = "place_center_x, place_center_z",
    rotation = "random",
})

